Package org.gitana.platform.client.log

# Class LogEntryImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.cluster.AbstractClusterDocumentImpl
org.gitana.platform.client.log.LogEntryImpl

All Implemented Interfaces:
  `Serializable`, `ClusterDocument`, `Document`, `LogEntry`, `Referenceable`, `TitleDescription`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class LogEntryImpl extends AbstractClusterDocumentImpl implements LogEntry

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.log.LogEntry

`FIELD_BRANCH_ID, FIELD_CLASS, FIELD_CLASS_FULLY_QUALIFIED_NAME, FIELD_CLASS_NAME, FIELD_CLASS_PACKAGE, FIELD_FILENAME, FIELD_LEVEL, FIELD_LINE_NUMBER, FIELD_MESSAGE, FIELD_METHOD, FIELD_PRINCIPAL_ID, FIELD_REPOSITORY_ID, FIELD_THREAD, FIELD_THROWABLES, FIELD_TIMESTAMP`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`LogEntryImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassFullyQualifiedName()`
`String`
`getClassName()`
`String`
`getClassPackage()`
`String`
`getFileName()`
`String`
`getLevel()`
`int`
`getLineNumber()`
`String`
`getLogBranchId()`
`String`
`getLogPrincipalId()`
`String`
`getLogRepositoryId()`
`List<LogThrowable>`
`getLogThrowables()`
`String`
`getMessage()`
`String`
`getMethod()`
`protected String`
`getResourceUri()`
`String`
`getThread()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getTimestamp()`
`String`
`getTypeId()`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDocumentImpl

`getCluster, getClusterId, getDriver, getFactory, getRemote, ref`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDocument

`getCluster, getClusterId`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### LogEntryImpl

public LogEntryImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractClusterDocumentImpl`

### getLogPrincipalId

public String getLogPrincipalId()

Specified by:
  `getLogPrincipalId` in interface `LogEntry`

### getLogRepositoryId

public String getLogRepositoryId()

Specified by:
  `getLogRepositoryId` in interface `LogEntry`

### getLogBranchId

public String getLogBranchId()

Specified by:
  `getLogBranchId` in interface `LogEntry`

### getLevel

public String getLevel()

Specified by:
  `getLevel` in interface `LogEntry`

### getThread

public String getThread()

Specified by:
  `getThread` in interface `LogEntry`

### getTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getTimestamp()

Specified by:
  `getTimestamp` in interface `LogEntry`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `LogEntry`

### getFileName

public String getFileName()

Specified by:
  `getFileName` in interface `LogEntry`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `LogEntry`

### getLineNumber

public int getLineNumber()

Specified by:
  `getLineNumber` in interface `LogEntry`

### getClassFullyQualifiedName

public String getClassFullyQualifiedName()

Specified by:
  `getClassFullyQualifiedName` in interface `LogEntry`

### getClassPackage

public String getClassPackage()

Specified by:
  `getClassPackage` in interface `LogEntry`

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `LogEntry`

### getLogThrowables

public List<LogThrowable> getLogThrowables()

Specified by:
  `getLogThrowables` in interface `LogEntry`